SELECT DISTINCT Taryfa.Jm, Taryfa.Nazwa Taryfa, SUM( Archiwum.Objetosc ) Ilosc, Taryfa.Cena, Taryfa.Vat, Firma.Adres, Firma.Npelna Firma, Firma.Miejscowosc, Firma.Kod, Firma.NIP
FROM "archiwum.DB" Archiwum
   INNER JOIN "ident.DB" Ident
   ON  (Archiwum.Identyfikator = Ident.Numer)  
   INNER JOIN "taryfa.DB" Taryfa
   ON  (Archiwum.TaryfaID = Taryfa.ID)  
   INNER JOIN "dostawca.DB" Dostawca
   ON  (Ident.DostawcaID = Dostawca.ID)  
   INNER JOIN "firma.db" Firma
   ON  (Dostawca.FirmaID = Firma.ID)  
WHERE   (Firma.ID = :ID)  
   AND  (Archiwum.Data >= :datap)  
   AND  (Archiwum.Data <= :datak)  
GROUP BY Taryfa.Nazwa, Taryfa.Jm, Taryfa.Cena, Taryfa.Vat, Firma.Npelna, Firma.Adres, Firma.Miejscowosc, Firma.Kod, Firma.NIP, Taryfa.Nazwa, Firma.Npelna
ORDER BY Taryfa

//DataType dla datap i datak musi by ustawiony na Date