SELECT DISTINCT Archiwum.Data AData, Archiwum.Czas ACzas, Archiwum.Identyfikator AIdentyfikator, Archiwum.Temperatura ATemperatura, Archiwum.Konduktancja AKonduktancja, Archiwum.Ph APh, Archiwum.Probka AProbka, Archiwum.Objetosc AObjetosc, Archiwum.TaryfaID ATID, Firma.Nskrocona FNskrocona, Dostawca.Nazwisko DNazwisko, Dostawca.Imie DImie, Dostawca.Samochod DSamochod, Dostawca.Adres DAdres, Dostawca.Miejscowosc DMiejscowosc, Dostawca.Kod DKod, Ident.Numer INumer, Urzadzenie.Nazwa UNazwa, NrProbki, NrPalety
FROM "archiwum.db" Archiwum, "taryfa.db" Taryfa, "urzadzenie.db" Urzadzenie, "ident.db" Ident
   INNER JOIN "dostawca.db" Dostawca
   ON  (Ident.DostawcaID = Dostawca.ID)
   INNER JOIN "firma.db" Firma
   ON  (Dostawca.FirmaID = Firma.ID)
WHERE Archiwum.UrzadzenieID = Urzadzenie.ID 
      AND Archiwum.Identyfikator = Ident.Numer
      AND Archiwum.TaryfaID not in
   (SELECT ID FROM "taryfa.db")